add TEST_REQUIRES argument; use v2 spec internally for MYMETA #29

Merged
merged 2 commits into from Apr 6, 2012

Conversation

Projects
None yet
3 participants
Owner

rjbs commented Apr 1, 2012

  • TEST_REQUIRES is analagous to BUILD_REQUIRES, and gives you a place
    to specify libraries needed to test, but not build
  • ...but there is nowhere in the 1.4 META file to put test requirements,
    so we have to fold them into build_requires, which is really not very
    helpful; so we now build our META stuff internally (for MYMETA only!)
    as v2!
  • to avoid breaking META_MERGE and META_ADD, we still use v1.4
    internally for META.yml
@rjbs rjbs add TEST_REQUIRES argument; use v2 spec internally for MYMETA
* TEST_REQUIRES is analagous to BUILD_REQUIRES, and gives you a place
  to specify libraries needed to test, but not build
* ...but there is nowhere in the 1.4 META file to put test requirements,
  so we have to fold them into build_requires, which is really not very
  helpful; so we now build our META stuff internally (for MYMETA only!)
  as v2!
* to avoid breaking META_MERGE and META_ADD, we still use v1.4
  internally for META.yml
39ce3fb
Member

dolmen commented Apr 1, 2012

Filled the matching feature request for App::EUMM::Upgrade: RT#76195

@schwern schwern added a commit that referenced this pull request Apr 6, 2012

@schwern schwern Merge pull request #29 from rjbs/test-requires
add TEST_REQUIRES argument; use v2 spec internally for MYMETA
7b04ce2

@schwern schwern merged commit 7b04ce2 into Perl-Toolchain-Gang:master Apr 6, 2012

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment